DATEFUDGE(1)

NAME
datefudge - pretend the system time is different

SYNOPSIS
datefudge [-s|--static] at_date program [arguments ...]

DESCRIPTION

datefudge is a small utility that pretends that the system time is different by pre-loading a small library which modifies the time(2), gettimeofday(2) and clock_gettime(2) system calls.

OPTIONS

--static, -s
    set date as a `static' one. The above mentioned system calls will always return the date passed as a parameter of the program regardless of time passing. See EXAMPLES below.

--help, -h
    print short usage information and exit.

--version, -v
    print version information and exit.

EXAMPLES

  Basic example:
$ datefudge "2007-04-01 10:23" date -R
Sun, 01 Apr 2007 10:23:00 +0200

  Non-static vs. static example:
$ datefudge "2007-04-01 10:23" sh -c "sleep 3; date -R"
Sun, 01 Apr 2007 10:23:03 +0200
$ datefudge --static "2007-04-01 10:23" sh -c "sleep 3; date -R"
Sun, 01 Apr 2007 10:23:00 +0200

AUTHOR
Written by Matthias Urlichs <smurf@noris.de>. Modified by Robert Luberda <robert@debian.org>.

BUGS
There is no attempt to make this change undetectable by the program. In particular, file modification times are not modified.

COPYRIGHT
Copyright © 2003 by Matthias Urlichs.
Copyright © 2008-2011 by Robert Luberda.

There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. You may redistribute copies of datefudge under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

SEE ALSO
ld.so(1), time(2), gettimeofday(2), clock_gettime(2)